Package wx :: Package lib :: Module docview :: Class DocParentFrame

[frames | no frames]

## Type DocParentFrame

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                         Frame --+
                                 |
                                DocParentFrame

The wxDocParentFrame class provides a default top-level frame for applications using the document/view framework. This class can only be used for SDI (not MDI) parent frames.

It cooperates with the wxView, wxDocument, wxDocManager and wxDocTemplates classes.

Method Summary
| ``__init__`(self, manager, frame, id, title, pos, size, style, name)` Constructor.
| ``OnCloseWindow`(self, event)` Deletes all views and documents.
| ``OnExit`(self, event)` Called when File/Exit is chosen and closes the window.
| ``OnMRUFile`(self, event)` Opens the appropriate file when it is selected from the file history menu.
| ``ProcessEvent`(self, event)` Processes an event, searching event tables and calling zero or more suitable event handler function(s).
| ``ProcessUpdateUIEvent`(self, event)` Processes a UI event, searching event tables and calling zero or more suitable event handler function(s).

Property Summary

Instance Method Details

### __init__(self, manager, frame, id, title, pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=541072960, name='frame')
(Constructor)

Constructor. Note that the event table must be rebuilt for the frame since the EvtHandler is not virtual.

  Overrides:
    `wx.Frame.__init__`

### OnCloseWindow(self, event)

Deletes all views and documents. If no user input cancelled the operation, the frame will be destroyed and the application will exit.

### OnExit(self, event)

Called when File/Exit is chosen and closes the window.

### OnMRUFile(self, event)

Opens the appropriate file when it is selected from the file history menu.

### ProcessEvent(self, event)

Processes an event, searching event tables and calling zero or more suitable event handler function(s). Note that the ProcessEvent method is called from the wxPython docview framework directly since wxPython does not have a virtual ProcessEvent function.

  Overrides:
    `wx.EvtHandler.ProcessEvent`

### ProcessUpdateUIEvent(self, event)

Processes a UI event, searching event tables and calling zero or more suitable event handler function(s). Note that the ProcessEvent method is called from the wxPython docview framework directly since wxPython does not have a virtual ProcessEvent function.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:31 2007 | http://epydoc.sf.net